Run Function
curl --request POST \
--url https://{instance}.domo.com/api/codeengine/v2/packages/{packageId}/versions/{version}/functions/{functionName} \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"inputVariables": {
"paramName": "value"
},
"settings": {
"getLogs": true
}
}
'import requests
url = "https://{instance}.domo.com/api/codeengine/v2/packages/{packageId}/versions/{version}/functions/{functionName}"
payload = {
"inputVariables": { "paramName": "value" },
"settings": { "getLogs": True }
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputVariables: {paramName: 'value'}, settings: {getLogs: true}})
};
fetch('https://{instance}.domo.com/api/codeengine/v2/packages/{packageId}/versions/{version}/functions/{functionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "<string>",
"packageId": "<string>",
"version": "<string>",
"functionName": "<string>",
"status": "<string>",
"settings": {
"getLogs": true
},
"startedOn": "2023-11-07T05:31:56Z",
"startedBy": "<string>",
"completedOn": "2023-11-07T05:31:56Z",
"result": "<unknown>",
"stdout": {
"log": [
"<unknown>"
]
},
"stderr": {
"log": [
"<unknown>"
]
},
"errorInformation": {
"result": "<unknown>",
"expectedType": "<string>",
"actualType": "<string>",
"expectedIsList": true,
"actualIsList": true,
"expectedAllowNull": true,
"errorMessages": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Run Function
Runs a specific version of a Code Engine function.
POST
/
api
/
codeengine
/
v2
/
packages
/
{packageId}
/
versions
/
{version}
/
functions
/
{functionName}
Run Function
Authorizations
Domo Developer Token for authentication.
Path Parameters
Example:
"1.0.1"
Example:
"getExecutionDetails"
Body
application/json
Response
OK. Returns the execution details and result.
Show child attributes
Show child attributes
The output of the function (type 'any').
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I